Ошибки в процессе установки

Добрый день!
Еще в процессе установки на хостинг (шаг 4) вываливает множество ошибок типа:
"Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; PasswordHash has a deprecated constructor in /storage/h5/883/838883/public_html/Shop/CMS/includes/classes/passwordhash.php on line 32"

конфигурация вебсервера:
  Apache/2.4.6 (CentOS) OpenSSL/1.0.1e-fips
  Database client version: libmysql - mysqlnd 5.0.12-dev - 20150407 - $Id:241ae00989d1995ffcbbf63d579943635faf9972 $
  PHP extension: mysqliDocumentation curlDocumentation mbstringDocumentation
  PHP version: 7.0.8
 

Подскажите пожалуйста каким образом я могу это исправить (прошу понять и простить, только начинаю учиться во всем этом вареве)

*

Spido

  • *
  • 1610

PHP нужно понизить до PHP 5.4.Х

*

Tirey

  • *
  • 15

В процессе установки на сервер возникает ошибка:
There was a problem importing the database. The following error had occured:
Invalid default value for 'customers_dob'
Please verify the connection parameters and try again.

Как это обойти или исправить?

*

Spido

  • *
  • 1610

Как это обойти или исправить?
Нужно понизить версию базы данных MySQL до версии 5.2-5.5.

*

Tirey

  • *
  • 15

Есть альтернативное решение.
Редактируете в папке install файл oscommerce.sql. В запросе на создание таблицы customers для поля customers_dob убираете операторы default и not Nul (изменение значения default на '0' ничего не дает). Завершаете установку. Потом открываете phpmyadmin и выполняете предварительно сохраненный sql-запрос на создание таблицы customers с перезаписью. Еще лучше, если вы до этого поставили где-нибудь на локальной машине этот магазин и сделали backup базы. Тогда вы его просто импортируете перезаписываете все таблицы. У вас получается нормальная база.

*

Tirey

  • *
  • 15

Как это обойти или исправить?
Нужно понизить версию базы данных MySQL до версии 5.2-5.5.
Я вначале поставил магазин на локальной машине. У меня версия MSQL 5.7 и магазин работает.